Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.owswatch
Class ServiceWatcherFactory

    java.lang.Object
      org.deegree.portal.owswatch.ServiceWatcherFactory

All Implemented Interfaces:
  Serializable

    public class ServiceWatcherFactory

extends Object
implements Serializable

Instantiates an instance of ServiceWatcher with instances of ServiceConfiguration and ServiceLog inside as parsed from the configurations file

Version:
  $Revision: 20271 $, $Date: 2009-10-21 13:07:15 +0200 (Mi, 21. Okt 2009) $
Author:
  Moataz Elmasry, last edited by: $Author: jmays $
See Also:
  Serialized Form

Method Summary
`OwsWatchConfig` | `getConf()`
`String` | `getConfFilePath()`
`static ServiceWatcherFactory` | `getInstance(String confFilePath, String webinfPath)`
`String` | `getProtDirPath()`
`EmailSender` | `getSender()`
`ServicesConfigurationFactory` | `getServicesParser()`
`ServiceWatcher` | `getServiceWatcherInstance()`
`String` | `getServletAddr()`
`protected static List<String>` | `getUserEmails(Map<String,User> users)`
`String` | `getWebinfPath()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getServiceWatcherInstance

    public ServiceWatcher getServiceWatcherInstance()
                                             throws ConfigurationsException

  Returns:
    ServiceWatcher
  Throws:
    `ConfigurationsException`

### getInstance

    public static ServiceWatcherFactory getInstance(String confFilePath,
                                                    String webinfPath)
                                             throws ConfigurationsException

  Parameters:
    `confFilePath` -
    `webinfPath` -
  Returns:
    An instance of ServiceWatchFactory using singletone pattern
  Throws:
    `ConfigurationsException`

### getConfFilePath

    public String getConfFilePath()

  Returns:
    Path of the configuration file

### getWebinfPath

    public String getWebinfPath()

  Returns:
    WEB-INF folder path

### getConf

    public OwsWatchConfig getConf()

  Returns:
    `OwsWatchConfigFactory`

### getServicesParser

    public ServicesConfigurationFactory getServicesParser()

  Returns:
    `ServicesConfigurationFactory`

### getUserEmails

    protected static List<String> getUserEmails(Map<String,User> users)

### getProtDirPath

    public String getProtDirPath()

  Returns:
    Protocol directory path

### getSender

    public EmailSender getSender()

  Returns:
    EmailSender

### getServletAddr

    public String getServletAddr()

  Returns:
    String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org